> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Expense Requests

> Fetch all Expense Requests with optional filtering and pagination.



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/expense-requests
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/expense-requests:
    get:
      tags:
        - 'Admin Sector: Expense Requests'
      summary: List Expense Requests
      description: Fetch all Expense Requests with optional filtering and pagination.
      operationId: list_expense_requests_api_v1_expense_requests_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            description: Items per page
            default: 50
            title: Limit
          description: Items per page
        - name: requestType
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Requesttype
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: requesterId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Requesterid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedExpenseRequestResponse'
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedExpenseRequestResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ExpenseRequestResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/core__pagination__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedExpenseRequestResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExpenseRequestResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        requesterId:
          type: string
          title: Requesterid
        requestType:
          type: string
          title: Requesttype
        paymentMethod:
          type: string
          title: Paymentmethod
        totalAmount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Totalamount
        paidAmount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Paidamount
          default: 0
        usedAmount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Usedamount
          default: 0
        currency:
          type: string
          title: Currency
        status:
          type: string
          title: Status
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        linkedAdvanceRequestId:
          anyOf:
            - type: string
            - type: 'null'
          title: Linkedadvancerequestid
        sourceTemplateId:
          anyOf:
            - type: string
            - type: 'null'
          title: Sourcetemplateid
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        lineItems:
          items:
            $ref: >-
              #/components/schemas/routers__admin_sector__expense_requests__LineItemResponse
          type: array
          title: Lineitems
      type: object
      required:
        - id
        - orgId
        - requesterId
        - requestType
        - paymentMethod
        - totalAmount
        - currency
        - status
      title: ExpenseRequestResponse
    core__pagination__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
      description: |-
        Pagination metadata following API standards.

        Attributes:
            page: Current page number (1-indexed)
            limit: Items per page
            total: Total number of items matching query
            totalPages: Total number of pages
            hasNext: Whether there is a next page
            hasPrev: Whether there is a previous page
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    routers__admin_sector__expense_requests__LineItemResponse:
      properties:
        id:
          type: string
          title: Id
        expenseRequestId:
          type: string
          title: Expenserequestid
        description:
          type: string
          title: Description
        quantity:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Quantity
        unitPrice:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Unitprice
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        managementAccountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Managementaccountid
        receiptUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Receipturl
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - id
        - expenseRequestId
        - description
        - amount
      title: LineItemResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````